Quassel IRC - Bug #818

[Junior Job] Crashlogs don't contain debug symbols
09/28/2009 03:04 PM - dalbers

Status: Resolved Start date: 09/28/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.6.0

Version: 0.3.0.x 0S: Any
Description

Apparently there's an incompatibility concerning the build system and Quassel's internal crash handler (execinfo.h <
http://www.gnu.org/software/libc/manual/html_node/Backtraces.html#Backiraces&gt;).

Under certain circumstances the crash logs Quassel produces contain unresolved or null frame pointers, e. g.:

Fatal: ASSERT failure in QList<T>::at: "index out of range", file /usr/include/qt4/QtCore/glist.h,

line 395

# 0 quasselclient 0x0000000000580698 0x0000000000000000
# 1 quasselclient 0x000000000056dc36 0x0000000000000000
# 2 libc.so.6 0x00007£fa031a42530 0x0000000000000000
# 3 libc.so.6 0x00007£fa031a424b5 gsignal

The crash handler can be triggered by invoking
pkill -SEGV quasselclient

for instance.

History

#1 - 09/28/2009 03:06 PM - dalbers
This may or may not have to do with the different BUILD_TYPEs Release, RelWithDebuglnfo, Debug, Debugfull.

#2 - 03/04/2010 08:03 PM - johu

- Version changed from 0.5-pre to 0.3.0.x

this is done right?

#3 - 03/09/2010 11:19 PM - johu
- Status changed from New to Resolved

- Target version set to 0.6.0
